	subroutine prtpar(puncht)
c
	include '/u1/gcf/e350/crystal/cb/irspec'
	include '/u1/gcf/e350/crystal/cb/where'
	include '/u1/gcf/e350/crystal/cb/hotsun'
	include '/u1/gcf/e350/crystal/cb/parms'
	include '/u1/gcf/e350/crystal/cb/clouds'
	include '/u1/gcf/e350/crystal/cb/beam'
	include '/u1/gcf/e350/crystal/cb/const'
	include '/u1/gcf/e350/crystal/cb/abssiz'
	include '/u1/gcf/e350/crystal/cb/x'
c
	logical puncht
c
100	format(' results are ')
101	format(' 'a10,g12.4' +-'g12.4)
102	format('RESULT '2f7.4,f8.5,4(1pe12.5))
103	format(' correlation coefficient for 'a8' and 'a10' = 'f9.4)
104	format('NORM  '2f7.4,f8.5,2(1pe12.5))
c
	if (cross) return
	print 100
	do 1 i=1,npar
	print 101,nampar(i),param(i),perr(i)
1	continue
c	print non-diagonal elements of error matrix
	if (npar.eq.1) goto 7
	do 6 i=2,npar
	iup=i-1
	do 6 j=1,iup
	ermat=secpck(i*iup/2+j)/(perr(i)*perr(j))
	print 103,nampar(i),nampar(j),ermat
6	continue
c
7	if(.not. puncht) return
c	print out results which used to be punched
	if (ntr.eq.0) return
	fudb=enhigh((nobeam+1)/2)*fdmicr/abs(thi-tlo)
	do 2 itr=1,1
	if (jrspec.eq.0) goto 5
	x1=x1a(itr)
	x2=x2a(itr)
5	continue
	if (.not.ftnorm(itr)) goto 3
	if (fitalp(1)) alpha=param(ialpha(iusalp(itr)))
	if (.not.fitalp(1)) alpha=alfain(iusalp(itr))
	amul=1.0+conal(itr)-2.*alpha
	bmul=(x1**amul-x2**amul)/amul
	svnorm=param(inorm(itr))*fudb/bmul
	sverr=perr(inorm(itr))*fudb/bmul
	if (itr.ne.2.or.nfs) goto 4
	svnorm=plim2(1)*(alimf2*
& 	sin(param(inorm(itr)))**2+alimf1)*fudb
	sverr=plim2(1)*alimf2*abs(sin(2.*
& 	param(inorm(itr)))*perr(inorm(itr)))*fudb
	goto 4
3	svnorm=plim2(1)*fudb
	sverr=0.
4	if (fitalp(1)) print 102,tlo,thi,avt,
& 	param(ialpha(iusalp(itr))),perr(ialpha(iusalp(itr))),svnorm,sverr
	if (.not.fitalp(1)) print 104,tlo,
&	thi,avt,svnorm,sverr
2	continue
	return
c
	end
